Package org.h2.dev.util

# Class BinaryArithmeticStream

java.lang.Object
org.h2.dev.util.BinaryArithmeticStream

Direct Known Subclasses:
  `BinaryArithmeticStream.In`, `BinaryArithmeticStream.Out`

public class BinaryArithmeticStream extends Object
A binary arithmetic stream.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BinaryArithmeticStream.Huffman`
A Huffman code table / tree.
`static class`
`BinaryArithmeticStream.In`
A binary arithmetic input stream.
`static class`
`BinaryArithmeticStream.Out`
A binary arithmetic output stream.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`high`
The high marker.
`protected int`
`low`
The low marker.
`static final int`
`MAX_PROBABILITY`
The maximum probability.

## Constructor Summary

Constructors
Constructor
Description
`BinaryArithmeticStream()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_PROBABILITY

public static final int MAX_PROBABILITY
The maximum probability.

See Also:
  - Constant Field Values

### low

protected int low
The low marker.

### high

protected int high
The high marker.

## Constructor Details

### BinaryArithmeticStream

public BinaryArithmeticStream()